#ifndef AgentContextManagerH
#define AgentContextManagerH

#include "Agent.h"

#include "context/DefaultContextManager.h"

#include <boost/function.hpp>
#include <boost/bind.hpp>

class AgentContextManager : public DefaultContextManager
{

public:

    AgentContextManager(Context *rootContext, bool async, Agent* agent);

    virtual void eventAdded(Context* con, EventDefinitionPtr ed);

private:

     boost::function<ContextEventListenerPtr()> controller;
};

#endif
